May 2005 IBM C++ Runtime Environment Components for AIX

Downloadable files


Abstract

This is the May 2005 IBM C++ Runtime Environment Components for AIX

Download Description

If you need to run an application developed using the IBM XL C/C++ Enterprise Edition V7.0 for AIX or the VisualAge C++ Professional V6.0 for AIX compiler, and if you do not have the compiler installed, then you will need to install the IBM XL C/C++ Enterprise Edition V7.0 for AIX Runtime Environment Component or the IBM VisualAge C++ Professional V6.0 for AIX Runtime Environment component.

The Download Package section below provides links to the component's README as well as to the archives containing the Runtime Environment.

The following APARs were fixed in this PTF:

IY69540 - Incorrect output with -D_LARGE_FILES (xlC.aix50.rte only)


This PTF consists of the following package(s):

xlc.rte.aix50.may2005.ptf.tar.Z


The following filesets are included in xlc.rte.aix50.may2005.ptf.tar.Z:
(filesets that have changed since the last PTF have an asterisk after the name)

xlC.aix50.rte.7.0.0.0
xlC.aix50.rte.7.0.0.4 *
xlC.msg.Ja_JP.rte.7.0.0.0
xlC.msg.en_US.rte.7.0.0.0
xlC.msg.ja_JP.rte.7.0.0.0
xlC.rte.7.0.0.0
xlC.rte.7.0.0.1
xlsmp.aix50.rte.1.5.0.0
xlsmp.aix50.rte.1.5.0.3 *
xlsmp.msg.EN_US.rte.1.5.0.0
xlsmp.msg.EN_US.rte.1.5.0.1 *
xlsmp.msg.JA_JP.rte.1.5.0.0
xlsmp.msg.Ja_JP.rte.1.5.0.0
xlsmp.msg.ZH_CN.rte.1.5.0.0
xlsmp.msg.Zh_CN.rte.1.5.0.0
xlsmp.msg.en_US.rte.1.5.0.0
xlsmp.msg.en_US.rte.1.5.0.1 *
xlsmp.msg.ja_JP.rte.1.5.0.0
xlsmp.msg.zh_CN.rte.1.5.0.0
xlsmp.rte.1.5.0.0
xlsmp.rte.1.5.0.1 *
LicenseAgreement.pdf
LicenseInformation.pdf
README

Prerequisites

The IBM XL C/C++ Enterprise Edition V7.0 for AIX Runtime Environment component requires AIX 5L.

On AIX 5.1, the fileset bos.rte.libc must be at 5.1.0.62 or higher.
On AIX 5.2, the fileset bos.rte.libc must be at 5.2.0.41 or higher.
On AIX 5.3, the fileset bos.rte.libc must be at 5.3.0.3 or higher.

For more information, please refer to the README.

Installation Instructions

Click below for installation instructions.

URL LANGUAGE SIZE(Bytes)
Installation instructions English 1

Download package

Download RELEASE DATE LANGUAGE SIZE(Bytes) Download Options
xlc.rte.aix50.may2005.ptf.tar.Z 5/31/2005 English 31537537 FTP
README 5/31/2005 English 7039 FTP
LicenseAgreement.pdf 5/31/2005 English 1468154 FTP
LicenseInformation.pdf 5/31/2005 English 468197 FTP
support.txt 5/31/2005 English 315 FTP

Technical support

Version 7 of the C++ Runtime Environment Component is not supported on AIX 4.3. If you are using AIX 4.3, you must install the xlC.* filesets at the 6.0 level. If you are using AIX 5.1 and higher, you must install the xlC.* filesets at the 7.0 level.

The C++ Runtime Environment for AIX is not supported as a stand-alone software product.

Support for questions and problems relating to installation of the C++ Runtime Environment is available as part of AIX Software Maintenance (SWMA).

If you suspect a problem with the C++ Runtime Environment while using it with a third-party application, contact your application provider for support.

Full support (installation, defect support and general questions) for the C++ Runtime Environment is available with the software maintenance agreement for the XL C++ Compilers. A suitable test case is required for defect support; click here for details.

Cross reference information
Segment Product Component Platform Version Edition
Software Development VisualAge C++ Downloads AIX 6.0

Problems (APARS) fixed
IY69540

Rate this page:

(0 users)Average rating

Document information


More support for:

XL C/C++ for AIX
Downloads

Software version:

7.0

Operating system(s):

AIX

Reference #:

4009788

Modified date:

2005-05-31

Translate my page

Machine Translation

Content navigation